Tags

Create a tag

POST
/tags

Creates a tag owned by the current user.

Authorization

token_auth
headerAuthorizationBearer <token>

Token-based authentication using access tokens.

Request Body

application/json
  1. body
name*Name

Display name for a tag to create if it does not already exist.

Lengthlength <= 64
color*Color

Hex color for the new tag.

Response Body

Successful Response

application/json
  1. response
id*Id

Tag UUID.

name*Name

Display name.

color*Color

Hex color, e.g. '#2E5A3B'.

created_by*|

Email snapshot of the creator. Null for system tags.

created_at*Created At

ISO 8601 creation timestamp.

asset_count?|

Number of usable input assets bearing this tag, when requested.

Defaultnull
preview_thumbnails?array<string>|

Thumbnail URLs of the newest usable input assets bearing this tag, when requested.

Defaultnull
curl -X POST "https://example.com/tags" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "color": "string"  }'
{  "id": "string",  "name": "string",  "color": "string",  "created_by": "string",  "created_at": "string",  "asset_count": null,  "preview_thumbnails": null}